Subject: Re: Tool renames? was Re: First stab at glossary

From: Tim Ottinger <[email-masked]>
Date: Tue, 06 Sep 2005 11:42:01 -0500

Horst von Brand wrote:

>Junio C Hamano <[email-masked]> wrote:
>  
>
>>Tim Ottinger <[email-masked]> writes:
>>    
>>
>>>git-update-cache for instance?
>>>I am not sure which 'cache' commands need to be 'index' now.
>>>      
>>>
>>Logically you are right, but I suspect that may not fly well in practice.  Too many of us have already got our fingers wired to type cache, and the glossary is there to describe both cache andindex.
>>    
>>
>
>I'd vote for cleaning it up /now/. Sure, it will hurt, but if you let time
>go by and do it later, it will hurt much more.
>
>Pre-1.0 is the last chance, AFAICS.
>  
>
I guess it all depends on whether your target audience is already using
it an happy with how it is, or whether your target audience is yet to
be reached.

Is git growing? Do we expect to suddenly find git upside down, where
there are a few old-timers awash in a sea of newbies? Do we care?

If you care, and git is growing, then probably it makes sense to
choose "the greatest good for the greatest number", I guess.

Personally, I'm a newbie and I find the command set confusing and
hard to internalize for reasons mostly dealing with naming, but also
because I don't have 6 months shared history with all of you. I have
to learn it partly from docs and partly through folklore gleaned from
the list (which moves pretty quickly).

Maybe that's just complaining, but maybe it is pointing out a
weakness that's correctable.

-- 
                             ><>
... either 'way ahead of the game, or 'way out in left field.